
_interrupt:

;kaitenkeiCounter.mbas,163 :: 		sub procedure interrupt
;kaitenkeiCounter.mbas,165 :: 		if INT2IF_bit = 1 then
	BTFSS       INT2IF_bit+0, BitPos(INT2IF_bit+0) 
	GOTO        L__interrupt2
;kaitenkeiCounter.mbas,166 :: 		if start_flag = TRUE then   ' save TMR1 value
	MOVF        _start_flag+0, 0 
	XORLW       255
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt5
;kaitenkeiCounter.mbas,167 :: 		TMR1L_value = TMR1L
	MOVF        TMR1L+0, 0 
	MOVWF       _TMR1L_value+0 
;kaitenkeiCounter.mbas,168 :: 		TMR1H_value = TMR1H
	MOVF        TMR1H+0, 0 
	MOVWF       _TMR1H_value+0 
;kaitenkeiCounter.mbas,169 :: 		rotate = rotate + 1
	MOVLW       1
	ADDWF       _rotate+0, 1 
	MOVLW       0
	ADDWFC      _rotate+1, 1 
	ADDWFC      _rotate+2, 1 
	ADDWFC      _rotate+3, 1 
;kaitenkeiCounter.mbas,170 :: 		if of_count >= HALF_SECOND then
	MOVLW       0
	SUBWF       _of_count+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt333
	MOVLW       122
	SUBWF       _of_count+0, 0 
L__interrupt333:
	BTFSS       STATUS+0, 0 
	GOTO        L__interrupt8
;kaitenkeiCounter.mbas,171 :: 		TMR1_OVF_value = of_count
	MOVF        _of_count+0, 0 
	MOVWF       _TMR1_OVF_value+0 
	MOVF        _of_count+1, 0 
	MOVWF       _TMR1_OVF_value+1 
;kaitenkeiCounter.mbas,172 :: 		TMR1L = 0
	CLRF        TMR1L+0 
;kaitenkeiCounter.mbas,173 :: 		TMR1H = 0
	CLRF        TMR1H+0 
;kaitenkeiCounter.mbas,174 :: 		rotate_value = rotate
	MOVF        _rotate+0, 0 
	MOVWF       _rotate_value+0 
	MOVF        _rotate+1, 0 
	MOVWF       _rotate_value+1 
	MOVF        _rotate+2, 0 
	MOVWF       _rotate_value+2 
	MOVF        _rotate+3, 0 
	MOVWF       _rotate_value+3 
;kaitenkeiCounter.mbas,175 :: 		of_count = 0
	CLRF        _of_count+0 
	CLRF        _of_count+1 
;kaitenkeiCounter.mbas,176 :: 		rotate   = 0
	CLRF        _rotate+0 
	CLRF        _rotate+1 
	CLRF        _rotate+2 
	CLRF        _rotate+3 
;kaitenkeiCounter.mbas,177 :: 		display_flag = TRUE
	MOVLW       255
	MOVWF       _display_flag+0 
L__interrupt8:
;kaitenkeiCounter.mbas,178 :: 		end if
	GOTO        L__interrupt6
;kaitenkeiCounter.mbas,179 :: 		else
L__interrupt5:
;kaitenkeiCounter.mbas,180 :: 		TMR1H = 0
	CLRF        TMR1H+0 
;kaitenkeiCounter.mbas,181 :: 		TMR1L = 0
	CLRF        TMR1L+0 
;kaitenkeiCounter.mbas,182 :: 		of_count = 0
	CLRF        _of_count+0 
	CLRF        _of_count+1 
;kaitenkeiCounter.mbas,183 :: 		rotate   = 0
	CLRF        _rotate+0 
	CLRF        _rotate+1 
	CLRF        _rotate+2 
	CLRF        _rotate+3 
;kaitenkeiCounter.mbas,184 :: 		start_flag = TRUE
	MOVLW       255
	MOVWF       _start_flag+0 
;kaitenkeiCounter.mbas,185 :: 		end if
L__interrupt6:
;kaitenkeiCounter.mbas,186 :: 		zero_display_counter = 0
	CLRF        _zero_display_counter+0 
	CLRF        _zero_display_counter+1 
;kaitenkeiCounter.mbas,187 :: 		up_count_value = up_count_value + 1
	MOVLW       1
	ADDWF       _up_count_value+0, 1 
	MOVLW       0
	ADDWFC      _up_count_value+1, 1 
	ADDWFC      _up_count_value+2, 1 
	ADDWFC      _up_count_value+3, 1 
;kaitenkeiCounter.mbas,188 :: 		if down_count_value > 0 then
	MOVF        _down_count_value+3, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt334
	MOVF        _down_count_value+2, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt334
	MOVF        _down_count_value+1, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt334
	MOVF        _down_count_value+0, 0 
	SUBLW       0
L__interrupt334:
	BTFSC       STATUS+0, 0 
	GOTO        L__interrupt11
;kaitenkeiCounter.mbas,189 :: 		down_count_value = down_count_value - 1
	MOVLW       1
	SUBWF       _down_count_value+0, 1 
	MOVLW       0
	SUBWFB      _down_count_value+1, 1 
	SUBWFB      _down_count_value+2, 1 
	SUBWFB      _down_count_value+3, 1 
L__interrupt11:
;kaitenkeiCounter.mbas,191 :: 		counter_update = TRUE
	MOVLW       255
	MOVWF       _counter_update+0 
;kaitenkeiCounter.mbas,192 :: 		INT2IF_bit = 0
	BCF         INT2IF_bit+0, BitPos(INT2IF_bit+0) 
L__interrupt2:
;kaitenkeiCounter.mbas,196 :: 		if TMR1IF_bit = 1 then
	BTFSS       TMR1IF_bit+0, BitPos(TMR1IF_bit+0) 
	GOTO        L__interrupt14
;kaitenkeiCounter.mbas,197 :: 		TMR1IF_bit = 0
	BCF         TMR1IF_bit+0, BitPos(TMR1IF_bit+0) 
;kaitenkeiCounter.mbas,198 :: 		of_count = of_count + 1
	INFSNZ      _of_count+0, 1 
	INCF        _of_count+1, 1 
L__interrupt14:
;kaitenkeiCounter.mbas,200 :: 		end sub
L_end_interrupt:
L__interrupt332:
	RETFIE      1
; end of _interrupt

_interrupt_low:
	MOVWF       ___Low_saveWREG+0 
	MOVF        STATUS+0, 0 
	MOVWF       ___Low_saveSTATUS+0 
	MOVF        BSR+0, 0 
	MOVWF       ___Low_saveBSR+0 

;kaitenkeiCounter.mbas,202 :: 		sub procedure interrupt_low
;kaitenkeiCounter.mbas,204 :: 		if TMR0IF_bit = 1 then
	BTFSS       TMR0IF_bit+0, BitPos(TMR0IF_bit+0) 
	GOTO        L__interrupt_low18
;kaitenkeiCounter.mbas,205 :: 		TMR0L = 6
	MOVLW       6
	MOVWF       TMR0L+0 
;kaitenkeiCounter.mbas,207 :: 		case 1
	MOVF        _led_pos+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt_low23
;kaitenkeiCounter.mbas,208 :: 		LED_DEV5_bit = LED_OFF
	BCF         LATA+0, 0 
;kaitenkeiCounter.mbas,209 :: 		LED_SEG_PORT = led_val5
	MOVF        _led_val5+0, 0 
	MOVWF       LATC+0 
;kaitenkeiCounter.mbas,210 :: 		LED_DEV1_bit = LED_ON
	BSF         LATB+0, 6 
;kaitenkeiCounter.mbas,211 :: 		led_pos = led_pos + 1
	INCF        _led_pos+0, 1 
	GOTO        L__interrupt_low20
L__interrupt_low23:
;kaitenkeiCounter.mbas,212 :: 		case 2
	MOVF        _led_pos+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt_low26
;kaitenkeiCounter.mbas,213 :: 		LED_DEV1_bit = LED_OFF
	BCF         LATB+0, 6 
;kaitenkeiCounter.mbas,214 :: 		LED_SEG_PORT = led_val4
	MOVF        _led_val4+0, 0 
	MOVWF       LATC+0 
;kaitenkeiCounter.mbas,215 :: 		LED_DEV2_bit = LED_ON
	BSF         LATB+0, 5 
;kaitenkeiCounter.mbas,216 :: 		led_pos = led_pos + 1
	INCF        _led_pos+0, 1 
	GOTO        L__interrupt_low20
L__interrupt_low26:
;kaitenkeiCounter.mbas,217 :: 		case 3
	MOVF        _led_pos+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt_low29
;kaitenkeiCounter.mbas,218 :: 		LED_DEV2_bit = LED_OFF
	BCF         LATB+0, 5 
;kaitenkeiCounter.mbas,219 :: 		LED_SEG_PORT = led_val3
	MOVF        _led_val3+0, 0 
	MOVWF       LATC+0 
;kaitenkeiCounter.mbas,220 :: 		LED_DEV3_bit = LED_ON
	BSF         LATB+0, 4 
;kaitenkeiCounter.mbas,221 :: 		led_pos = led_pos + 1
	INCF        _led_pos+0, 1 
	GOTO        L__interrupt_low20
L__interrupt_low29:
;kaitenkeiCounter.mbas,222 :: 		case 4
	MOVF        _led_pos+0, 0 
	XORLW       4
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt_low32
;kaitenkeiCounter.mbas,223 :: 		LED_DEV3_bit = LED_OFF
	BCF         LATB+0, 4 
;kaitenkeiCounter.mbas,224 :: 		LED_SEG_PORT = led_val2
	MOVF        _led_val2+0, 0 
	MOVWF       LATC+0 
;kaitenkeiCounter.mbas,225 :: 		LED_DEV4_bit = LED_ON
	BSF         LATA+0, 1 
;kaitenkeiCounter.mbas,226 :: 		led_pos = led_pos + 1
	INCF        _led_pos+0, 1 
	GOTO        L__interrupt_low20
L__interrupt_low32:
;kaitenkeiCounter.mbas,227 :: 		case 5
	MOVF        _led_pos+0, 0 
	XORLW       5
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt_low35
;kaitenkeiCounter.mbas,228 :: 		LED_DEV4_bit = LED_OFF
	BCF         LATA+0, 1 
;kaitenkeiCounter.mbas,229 :: 		LED_SEG_PORT = led_val1
	MOVF        _led_val1+0, 0 
	MOVWF       LATC+0 
;kaitenkeiCounter.mbas,230 :: 		LED_DEV5_bit = LED_ON
	BSF         LATA+0, 0 
;kaitenkeiCounter.mbas,231 :: 		led_pos = 1
	MOVLW       1
	MOVWF       _led_pos+0 
	GOTO        L__interrupt_low20
L__interrupt_low35:
L__interrupt_low20:
;kaitenkeiCounter.mbas,234 :: 		zero_display_counter = zero_display_counter + 1
	INFSNZ      _zero_display_counter+0, 1 
	INCF        _zero_display_counter+1, 1 
;kaitenkeiCounter.mbas,236 :: 		if sw_enable = false then
	MOVF        _sw_enable+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt_low37
;kaitenkeiCounter.mbas,237 :: 		if (SW1_bit + SW2_bit) = 2 then  ' switch released
	CLRF        R1 
	BTFSC       PORTA+0, 3 
	INCF        R1, 1 
	CLRF        R0 
	BTFSC       PORTB+0, 7 
	INCF        R0, 1 
	MOVF        R0, 0 
	ADDWF       R1, 1 
	MOVF        R1, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt_low40
;kaitenkeiCounter.mbas,238 :: 		if 0 < sw_off_counter then
	MOVLW       0
	MOVWF       R0 
	MOVF        _sw_off_counter+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt_low337
	MOVF        _sw_off_counter+0, 0 
	SUBLW       0
L__interrupt_low337:
	BTFSC       STATUS+0, 0 
	GOTO        L__interrupt_low43
;kaitenkeiCounter.mbas,239 :: 		sw_off_counter = sw_off_counter - 1
	MOVLW       1
	SUBWF       _sw_off_counter+0, 1 
	MOVLW       0
	SUBWFB      _sw_off_counter+1, 1 
L__interrupt_low43:
;kaitenkeiCounter.mbas,240 :: 		end if
	GOTO        L__interrupt_low41
;kaitenkeiCounter.mbas,241 :: 		else                             ' switch pressed
L__interrupt_low40:
;kaitenkeiCounter.mbas,242 :: 		sw_off_counter = SW_BOUNCE_TIME
	MOVLW       30
	MOVWF       _sw_off_counter+0 
	MOVLW       0
	MOVWF       _sw_off_counter+1 
;kaitenkeiCounter.mbas,243 :: 		sw_enable = false
	CLRF        _sw_enable+0 
;kaitenkeiCounter.mbas,244 :: 		end if
L__interrupt_low41:
L__interrupt_low37:
;kaitenkeiCounter.mbas,246 :: 		if sw_off_counter = 0 then
	MOVLW       0
	XORWF       _sw_off_counter+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt_low338
	MOVLW       0
	XORWF       _sw_off_counter+0, 0 
L__interrupt_low338:
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt_low46
;kaitenkeiCounter.mbas,247 :: 		sw_enable = true
	MOVLW       255
	MOVWF       _sw_enable+0 
L__interrupt_low46:
;kaitenkeiCounter.mbas,250 :: 		if SW1_bit = SW_ON then
	BTFSC       PORTA+0, 3 
	GOTO        L__interrupt_low49
;kaitenkeiCounter.mbas,251 :: 		if sw1_long_counter < MAX_SWITCH_TIME then
	MOVLW       39
	SUBWF       _sw1_long_counter+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt_low339
	MOVLW       16
	SUBWF       _sw1_long_counter+0, 0 
L__interrupt_low339:
	BTFSC       STATUS+0, 0 
	GOTO        L__interrupt_low52
;kaitenkeiCounter.mbas,252 :: 		sw1_long_counter = sw1_long_counter + 1
	INFSNZ      _sw1_long_counter+0, 1 
	INCF        _sw1_long_counter+1, 1 
L__interrupt_low52:
;kaitenkeiCounter.mbas,253 :: 		end if
	GOTO        L__interrupt_low50
;kaitenkeiCounter.mbas,254 :: 		else
L__interrupt_low49:
;kaitenkeiCounter.mbas,255 :: 		sw1_long_counter = 0
	CLRF        _sw1_long_counter+0 
	CLRF        _sw1_long_counter+1 
;kaitenkeiCounter.mbas,256 :: 		end if
L__interrupt_low50:
;kaitenkeiCounter.mbas,258 :: 		if SW2_bit = SW_ON then
	BTFSC       PORTB+0, 7 
	GOTO        L__interrupt_low55
;kaitenkeiCounter.mbas,259 :: 		if sw2_long_counter < MAX_SWITCH_TIME then
	MOVLW       39
	SUBWF       _sw2_long_counter+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt_low340
	MOVLW       16
	SUBWF       _sw2_long_counter+0, 0 
L__interrupt_low340:
	BTFSC       STATUS+0, 0 
	GOTO        L__interrupt_low58
;kaitenkeiCounter.mbas,260 :: 		sw2_long_counter = sw2_long_counter + 1
	INFSNZ      _sw2_long_counter+0, 1 
	INCF        _sw2_long_counter+1, 1 
L__interrupt_low58:
;kaitenkeiCounter.mbas,261 :: 		end if
	GOTO        L__interrupt_low56
;kaitenkeiCounter.mbas,262 :: 		else
L__interrupt_low55:
;kaitenkeiCounter.mbas,263 :: 		sw2_long_counter = 0
	CLRF        _sw2_long_counter+0 
	CLRF        _sw2_long_counter+1 
;kaitenkeiCounter.mbas,264 :: 		end if
L__interrupt_low56:
;kaitenkeiCounter.mbas,266 :: 		TMR0IF_bit = 0   ' Clear interrupt flag
	BCF         TMR0IF_bit+0, BitPos(TMR0IF_bit+0) 
L__interrupt_low18:
;kaitenkeiCounter.mbas,268 :: 		end sub
L_end_interrupt_low:
L__interrupt_low336:
	MOVF        ___Low_saveBSR+0, 0 
	MOVWF       BSR+0 
	MOVF        ___Low_saveSTATUS+0, 0 
	MOVWF       STATUS+0 
	SWAPF       ___Low_saveWREG+0, 1 
	SWAPF       ___Low_saveWREG+0, 0 
	RETFIE      0
; end of _interrupt_low

_led7seg_decode:

;kaitenkeiCounter.mbas,273 :: 		sub function led7seg_decode( dim ascii_char as byte ) as byte
;kaitenkeiCounter.mbas,275 :: 		case " "  result = Digit_NON
	MOVF        FARG_led7seg_decode_ascii_char+0, 0 
	XORLW       32
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode64
	CLRF        R1 
	GOTO        L__led7seg_decode61
L__led7seg_decode64:
;kaitenkeiCounter.mbas,276 :: 		case "0"  result = Digit_0
	MOVF        FARG_led7seg_decode_ascii_char+0, 0 
	XORLW       48
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode67
	MOVLW       252
	MOVWF       R1 
	GOTO        L__led7seg_decode61
L__led7seg_decode67:
;kaitenkeiCounter.mbas,277 :: 		case "1"  result = Digit_1
	MOVF        FARG_led7seg_decode_ascii_char+0, 0 
	XORLW       49
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode70
	MOVLW       96
	MOVWF       R1 
	GOTO        L__led7seg_decode61
L__led7seg_decode70:
;kaitenkeiCounter.mbas,278 :: 		case "2"  result = Digit_2
	MOVF        FARG_led7seg_decode_ascii_char+0, 0 
	XORLW       50
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode73
	MOVLW       218
	MOVWF       R1 
	GOTO        L__led7seg_decode61
L__led7seg_decode73:
;kaitenkeiCounter.mbas,279 :: 		case "3"  result = Digit_3
	MOVF        FARG_led7seg_decode_ascii_char+0, 0 
	XORLW       51
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode76
	MOVLW       242
	MOVWF       R1 
	GOTO        L__led7seg_decode61
L__led7seg_decode76:
;kaitenkeiCounter.mbas,280 :: 		case "4"  result = Digit_4
	MOVF        FARG_led7seg_decode_ascii_char+0, 0 
	XORLW       52
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode79
	MOVLW       102
	MOVWF       R1 
	GOTO        L__led7seg_decode61
L__led7seg_decode79:
;kaitenkeiCounter.mbas,281 :: 		case "5"  result = Digit_5
	MOVF        FARG_led7seg_decode_ascii_char+0, 0 
	XORLW       53
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode82
	MOVLW       182
	MOVWF       R1 
	GOTO        L__led7seg_decode61
L__led7seg_decode82:
;kaitenkeiCounter.mbas,282 :: 		case "6"  result = Digit_6
	MOVF        FARG_led7seg_decode_ascii_char+0, 0 
	XORLW       54
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode85
	MOVLW       190
	MOVWF       R1 
	GOTO        L__led7seg_decode61
L__led7seg_decode85:
;kaitenkeiCounter.mbas,283 :: 		case "7"  result = Digit_7
	MOVF        FARG_led7seg_decode_ascii_char+0, 0 
	XORLW       55
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode88
	MOVLW       224
	MOVWF       R1 
	GOTO        L__led7seg_decode61
L__led7seg_decode88:
;kaitenkeiCounter.mbas,284 :: 		case "8"  result = Digit_8
	MOVF        FARG_led7seg_decode_ascii_char+0, 0 
	XORLW       56
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode91
	MOVLW       254
	MOVWF       R1 
	GOTO        L__led7seg_decode61
L__led7seg_decode91:
;kaitenkeiCounter.mbas,285 :: 		case "9"  result = Digit_9
	MOVF        FARG_led7seg_decode_ascii_char+0, 0 
	XORLW       57
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode94
	MOVLW       246
	MOVWF       R1 
	GOTO        L__led7seg_decode61
L__led7seg_decode94:
;kaitenkeiCounter.mbas,286 :: 		case else result = Digit_NON
	CLRF        R1 
L__led7seg_decode61:
;kaitenkeiCounter.mbas,288 :: 		end sub
	MOVF        R1, 0 
	MOVWF       R0 
L_end_led7seg_decode:
	RETURN      0
; end of _led7seg_decode

_sw_test:

;kaitenkeiCounter.mbas,293 :: 		sub function sw_test( dim sw_no as byte ) as byte
;kaitenkeiCounter.mbas,294 :: 		if sw_enable = false then
	MOVF        _sw_enable+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_test97
;kaitenkeiCounter.mbas,295 :: 		result = SW_OFF
	MOVLW       1
	MOVWF       R1 
	GOTO        L__sw_test98
;kaitenkeiCounter.mbas,296 :: 		else
L__sw_test97:
;kaitenkeiCounter.mbas,298 :: 		case 1
	MOVF        FARG_sw_test_sw_no+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_test102
;kaitenkeiCounter.mbas,299 :: 		result = SW1_bit
	MOVLW       0
	BTFSC       PORTA+0, 3 
	MOVLW       1
	MOVWF       R1 
	GOTO        L__sw_test99
L__sw_test102:
;kaitenkeiCounter.mbas,300 :: 		case 2
	MOVF        FARG_sw_test_sw_no+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_test105
;kaitenkeiCounter.mbas,301 :: 		result = SW2_bit
	MOVLW       0
	BTFSC       PORTB+0, 7 
	MOVLW       1
	MOVWF       R1 
	GOTO        L__sw_test99
L__sw_test105:
L__sw_test99:
;kaitenkeiCounter.mbas,303 :: 		end if
L__sw_test98:
;kaitenkeiCounter.mbas,305 :: 		if result = SW_ON then
	MOVF        R1, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_test107
;kaitenkeiCounter.mbas,306 :: 		sw_enable = FALSE
	CLRF        _sw_enable+0 
L__sw_test107:
;kaitenkeiCounter.mbas,308 :: 		end sub
	MOVF        R1, 0 
	MOVWF       R0 
L_end_sw_test:
	RETURN      0
; end of _sw_test

_sw_test_long:

;kaitenkeiCounter.mbas,315 :: 		sub function sw_test_long( dim sw_no as byte, dim time as word ) as boolean
;kaitenkeiCounter.mbas,316 :: 		result = false
	CLRF        R1 
;kaitenkeiCounter.mbas,318 :: 		case 1
	MOVF        FARG_sw_test_long_sw_no+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_test_long113
;kaitenkeiCounter.mbas,319 :: 		if time <= sw1_long_counter then
	MOVF        FARG_sw_test_long_time+1, 0 
	SUBWF       _sw1_long_counter+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_test_long344
	MOVF        FARG_sw_test_long_time+0, 0 
	SUBWF       _sw1_long_counter+0, 0 
L__sw_test_long344:
	BTFSS       STATUS+0, 0 
	GOTO        L__sw_test_long115
;kaitenkeiCounter.mbas,320 :: 		result = true
	MOVLW       255
	MOVWF       R1 
L__sw_test_long115:
;kaitenkeiCounter.mbas,321 :: 		end if
	GOTO        L__sw_test_long110
L__sw_test_long113:
;kaitenkeiCounter.mbas,322 :: 		case 2
	MOVF        FARG_sw_test_long_sw_no+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_test_long119
;kaitenkeiCounter.mbas,323 :: 		if time <= sw2_long_counter then
	MOVF        FARG_sw_test_long_time+1, 0 
	SUBWF       _sw2_long_counter+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_test_long345
	MOVF        FARG_sw_test_long_time+0, 0 
	SUBWF       _sw2_long_counter+0, 0 
L__sw_test_long345:
	BTFSS       STATUS+0, 0 
	GOTO        L__sw_test_long121
;kaitenkeiCounter.mbas,324 :: 		result = true
	MOVLW       255
	MOVWF       R1 
L__sw_test_long121:
;kaitenkeiCounter.mbas,325 :: 		end if
	GOTO        L__sw_test_long110
L__sw_test_long119:
L__sw_test_long110:
;kaitenkeiCounter.mbas,327 :: 		end sub
	MOVF        R1, 0 
	MOVWF       R0 
L_end_sw_test_long:
	RETURN      0
; end of _sw_test_long

_display_message:

;kaitenkeiCounter.mbas,332 :: 		sub procedure display_message( dim msg_no as byte )
;kaitenkeiCounter.mbas,334 :: 		case MSG_ALL_8
	MOVF        FARG_display_message_msg_no+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__display_message127
;kaitenkeiCounter.mbas,335 :: 		led_val5 = Digit_8
	MOVLW       254
	MOVWF       _led_val5+0 
;kaitenkeiCounter.mbas,336 :: 		led_val4 = Digit_8
	MOVLW       254
	MOVWF       _led_val4+0 
;kaitenkeiCounter.mbas,337 :: 		led_val3 = Digit_8
	MOVLW       254
	MOVWF       _led_val3+0 
;kaitenkeiCounter.mbas,338 :: 		led_val2 = Digit_8
	MOVLW       254
	MOVWF       _led_val2+0 
;kaitenkeiCounter.mbas,339 :: 		led_val1 = Digit_8
	MOVLW       254
	MOVWF       _led_val1+0 
	GOTO        L__display_message124
L__display_message127:
;kaitenkeiCounter.mbas,340 :: 		case MSG_ALL_NON
	MOVF        FARG_display_message_msg_no+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__display_message130
;kaitenkeiCounter.mbas,341 :: 		led_val5 = Digit_NON
	CLRF        _led_val5+0 
;kaitenkeiCounter.mbas,342 :: 		led_val4 = Digit_NON
	CLRF        _led_val4+0 
;kaitenkeiCounter.mbas,343 :: 		led_val3 = Digit_NON
	CLRF        _led_val3+0 
;kaitenkeiCounter.mbas,344 :: 		led_val2 = Digit_NON
	CLRF        _led_val2+0 
;kaitenkeiCounter.mbas,345 :: 		led_val1 = Digit_NON
	CLRF        _led_val1+0 
	GOTO        L__display_message124
L__display_message130:
;kaitenkeiCounter.mbas,346 :: 		case MSG_ZERO
	MOVF        FARG_display_message_msg_no+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__display_message133
;kaitenkeiCounter.mbas,347 :: 		led_val1 = Digit_0
	MOVLW       252
	MOVWF       _led_val1+0 
;kaitenkeiCounter.mbas,348 :: 		led_val2 = Digit_NON
	CLRF        _led_val2+0 
;kaitenkeiCounter.mbas,349 :: 		led_val3 = Digit_NON
	CLRF        _led_val3+0 
;kaitenkeiCounter.mbas,350 :: 		led_val4 = Digit_NON
	CLRF        _led_val4+0 
;kaitenkeiCounter.mbas,351 :: 		led_val5 = Digit_NON
	CLRF        _led_val5+0 
	GOTO        L__display_message124
L__display_message133:
;kaitenkeiCounter.mbas,352 :: 		case MSG_TACHO
	MOVF        FARG_display_message_msg_no+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__display_message136
;kaitenkeiCounter.mbas,353 :: 		led_val1 = Digit_0
	MOVLW       252
	MOVWF       _led_val1+0 
;kaitenkeiCounter.mbas,354 :: 		led_val2 = Digit_H
	MOVLW       110
	MOVWF       _led_val2+0 
;kaitenkeiCounter.mbas,355 :: 		led_val3 = Digit_C
	MOVLW       156
	MOVWF       _led_val3+0 
;kaitenkeiCounter.mbas,356 :: 		led_val4 = Digit_A
	MOVLW       238
	MOVWF       _led_val4+0 
;kaitenkeiCounter.mbas,357 :: 		led_val5 = Digit_t
	MOVLW       30
	MOVWF       _led_val5+0 
	GOTO        L__display_message124
L__display_message136:
;kaitenkeiCounter.mbas,358 :: 		case MSG_UP
	MOVF        FARG_display_message_msg_no+0, 0 
	XORLW       4
	BTFSS       STATUS+0, 2 
	GOTO        L__display_message139
;kaitenkeiCounter.mbas,359 :: 		led_val1 = Digit_NON
	CLRF        _led_val1+0 
;kaitenkeiCounter.mbas,360 :: 		led_val2 = Digit_NON
	CLRF        _led_val2+0 
;kaitenkeiCounter.mbas,361 :: 		led_val3 = Digit_NON
	CLRF        _led_val3+0 
;kaitenkeiCounter.mbas,362 :: 		led_val4 = Digit_P
	MOVLW       206
	MOVWF       _led_val4+0 
;kaitenkeiCounter.mbas,363 :: 		led_val5 = Digit_U
	MOVLW       124
	MOVWF       _led_val5+0 
	GOTO        L__display_message124
L__display_message139:
;kaitenkeiCounter.mbas,364 :: 		case MSG_DOWN
	MOVF        FARG_display_message_msg_no+0, 0 
	XORLW       5
	BTFSS       STATUS+0, 2 
	GOTO        L__display_message142
;kaitenkeiCounter.mbas,365 :: 		led_val1 = Digit_NON
	CLRF        _led_val1+0 
;kaitenkeiCounter.mbas,366 :: 		led_val2 = Digit_n
	MOVLW       42
	MOVWF       _led_val2+0 
;kaitenkeiCounter.mbas,367 :: 		led_val3 = Digit_su
	MOVLW       56
	MOVWF       _led_val3+0 
;kaitenkeiCounter.mbas,368 :: 		led_val4 = Digit_o
	MOVLW       58
	MOVWF       _led_val4+0 
;kaitenkeiCounter.mbas,369 :: 		led_val5 = Digit_d
	MOVLW       122
	MOVWF       _led_val5+0 
	GOTO        L__display_message124
L__display_message142:
;kaitenkeiCounter.mbas,370 :: 		case MSG_SAVE
	MOVF        FARG_display_message_msg_no+0, 0 
	XORLW       6
	BTFSS       STATUS+0, 2 
	GOTO        L__display_message145
;kaitenkeiCounter.mbas,371 :: 		led_val1 = Digit_NON
	CLRF        _led_val1+0 
;kaitenkeiCounter.mbas,372 :: 		led_val2 = Digit_E
	MOVLW       158
	MOVWF       _led_val2+0 
;kaitenkeiCounter.mbas,373 :: 		led_val3 = Digit_U
	MOVLW       124
	MOVWF       _led_val3+0 
;kaitenkeiCounter.mbas,374 :: 		led_val4 = Digit_A
	MOVLW       238
	MOVWF       _led_val4+0 
;kaitenkeiCounter.mbas,375 :: 		led_val5 = Digit_5
	MOVLW       182
	MOVWF       _led_val5+0 
	GOTO        L__display_message124
L__display_message145:
L__display_message124:
;kaitenkeiCounter.mbas,377 :: 		end sub
L_end_display_message:
	RETURN      0
; end of _display_message

_display_blink:

;kaitenkeiCounter.mbas,383 :: 		dim i as byte
;kaitenkeiCounter.mbas,385 :: 		for i = 0 to 2
	CLRF        display_blink_i+0 
L__display_blink148:
;kaitenkeiCounter.mbas,386 :: 		display_message( msg_id1 )
	MOVF        FARG_display_blink_msg_id1+0, 0 
	MOVWF       FARG_display_message_msg_no+0 
	CALL        _display_message+0, 0
;kaitenkeiCounter.mbas,387 :: 		delay_ms(200)
	MOVLW       17
	MOVWF       R11, 0
	MOVLW       60
	MOVWF       R12, 0
	MOVLW       203
	MOVWF       R13, 0
L__display_blink152:
	DECFSZ      R13, 1, 1
	BRA         L__display_blink152
	DECFSZ      R12, 1, 1
	BRA         L__display_blink152
	DECFSZ      R11, 1, 1
	BRA         L__display_blink152
;kaitenkeiCounter.mbas,388 :: 		display_message( msg_id2 )
	MOVF        FARG_display_blink_msg_id2+0, 0 
	MOVWF       FARG_display_message_msg_no+0 
	CALL        _display_message+0, 0
;kaitenkeiCounter.mbas,389 :: 		delay_ms(200)
	MOVLW       17
	MOVWF       R11, 0
	MOVLW       60
	MOVWF       R12, 0
	MOVLW       203
	MOVWF       R13, 0
L__display_blink153:
	DECFSZ      R13, 1, 1
	BRA         L__display_blink153
	DECFSZ      R12, 1, 1
	BRA         L__display_blink153
	DECFSZ      R11, 1, 1
	BRA         L__display_blink153
;kaitenkeiCounter.mbas,390 :: 		next i
	MOVF        display_blink_i+0, 0 
	XORLW       2
	BTFSC       STATUS+0, 2 
	GOTO        L__display_blink151
	INCF        display_blink_i+0, 1 
	GOTO        L__display_blink148
L__display_blink151:
;kaitenkeiCounter.mbas,391 :: 		end sub
L_end_display_blink:
	RETURN      0
; end of _display_blink

_input_count_tacho:

;kaitenkeiCounter.mbas,396 :: 		sub function input_count_tacho(dim func as byte) as byte
;kaitenkeiCounter.mbas,397 :: 		while sw_test(2) = SW_OFF
L__input_count_tacho156:
	MOVLW       2
	MOVWF       FARG_sw_test_sw_no+0 
	CALL        _sw_test+0, 0
	MOVF        R0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__input_count_tacho157
;kaitenkeiCounter.mbas,399 :: 		case FUNC_TACHOMETER    display_message( MSG_TACHO )
	MOVF        FARG_input_count_tacho_func+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__input_count_tacho163
	MOVLW       3
	MOVWF       FARG_display_message_msg_no+0 
	CALL        _display_message+0, 0
	GOTO        L__input_count_tacho160
L__input_count_tacho163:
;kaitenkeiCounter.mbas,400 :: 		case FUNC_UP_COUNTER    display_message( MSG_UP    )
	MOVF        FARG_input_count_tacho_func+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__input_count_tacho166
	MOVLW       4
	MOVWF       FARG_display_message_msg_no+0 
	CALL        _display_message+0, 0
	GOTO        L__input_count_tacho160
L__input_count_tacho166:
;kaitenkeiCounter.mbas,401 :: 		case FUNC_DOWN_COUNTER  display_message( MSG_DOWN  )
	MOVF        FARG_input_count_tacho_func+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__input_count_tacho169
	MOVLW       5
	MOVWF       FARG_display_message_msg_no+0 
	CALL        _display_message+0, 0
	GOTO        L__input_count_tacho160
L__input_count_tacho169:
L__input_count_tacho160:
;kaitenkeiCounter.mbas,403 :: 		if sw_test(1) = SW_ON then
	MOVLW       1
	MOVWF       FARG_sw_test_sw_no+0 
	CALL        _sw_test+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__input_count_tacho171
;kaitenkeiCounter.mbas,405 :: 		case FUNC_TACHOMETER   func = FUNC_UP_COUNTER
	MOVF        FARG_input_count_tacho_func+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__input_count_tacho176
	MOVLW       1
	MOVWF       FARG_input_count_tacho_func+0 
	GOTO        L__input_count_tacho173
L__input_count_tacho176:
;kaitenkeiCounter.mbas,406 :: 		case FUNC_UP_COUNTER   func = FUNC_DOWN_COUNTER
	MOVF        FARG_input_count_tacho_func+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__input_count_tacho179
	MOVLW       2
	MOVWF       FARG_input_count_tacho_func+0 
	GOTO        L__input_count_tacho173
L__input_count_tacho179:
;kaitenkeiCounter.mbas,407 :: 		case FUNC_DOWN_COUNTER func = FUNC_TACHOMETER
	MOVF        FARG_input_count_tacho_func+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__input_count_tacho182
	CLRF        FARG_input_count_tacho_func+0 
	GOTO        L__input_count_tacho173
L__input_count_tacho182:
L__input_count_tacho173:
;kaitenkeiCounter.mbas,408 :: 		end select
L__input_count_tacho171:
;kaitenkeiCounter.mbas,410 :: 		wend
	GOTO        L__input_count_tacho156
L__input_count_tacho157:
;kaitenkeiCounter.mbas,411 :: 		result = func
	MOVF        FARG_input_count_tacho_func+0, 0 
	MOVWF       input_count_tacho_local_result+0 
;kaitenkeiCounter.mbas,412 :: 		end sub
	MOVF        input_count_tacho_local_result+0, 0 
	MOVWF       R0 
L_end_input_count_tacho:
	RETURN      0
; end of _input_count_tacho

_input_number:

;kaitenkeiCounter.mbas,426 :: 		dim long_temp as longword
;kaitenkeiCounter.mbas,428 :: 		for i = 0 to digit_number - 1
	CLRF        input_number_i+0 
L__input_number184:
	DECF        FARG_input_number_digit_number+0, 0 
	MOVWF       FLOC__input_number+2 
	MOVF        input_number_i+0, 0 
	SUBWF       FLOC__input_number+2, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__input_number188
;kaitenkeiCounter.mbas,429 :: 		value[i] = initial mod 10
	MOVLW       input_number_value+0
	MOVWF       R0 
	MOVLW       hi_addr(input_number_value+0)
	MOVWF       R1 
	MOVF        input_number_i+0, 0 
	ADDWF       R0, 0 
	MOVWF       FLOC__input_number+0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FLOC__input_number+1 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	MOVF        FARG_input_number_initial+0, 0 
	MOVWF       R0 
	MOVF        FARG_input_number_initial+1, 0 
	MOVWF       R1 
	MOVF        FARG_input_number_initial+2, 0 
	MOVWF       R2 
	MOVF        FARG_input_number_initial+3, 0 
	MOVWF       R3 
	CALL        _Div_32x32_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R10, 0 
	MOVWF       R2 
	MOVF        R11, 0 
	MOVWF       R3 
	MOVFF       FLOC__input_number+0, FSR1
	MOVFF       FLOC__input_number+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;kaitenkeiCounter.mbas,430 :: 		initial = initial / 10
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	MOVF        FARG_input_number_initial+0, 0 
	MOVWF       R0 
	MOVF        FARG_input_number_initial+1, 0 
	MOVWF       R1 
	MOVF        FARG_input_number_initial+2, 0 
	MOVWF       R2 
	MOVF        FARG_input_number_initial+3, 0 
	MOVWF       R3 
	CALL        _Div_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_input_number_initial+0 
	MOVF        R1, 0 
	MOVWF       FARG_input_number_initial+1 
	MOVF        R2, 0 
	MOVWF       FARG_input_number_initial+2 
	MOVF        R3, 0 
	MOVWF       FARG_input_number_initial+3 
;kaitenkeiCounter.mbas,431 :: 		next i
	MOVF        input_number_i+0, 0 
	XORWF       FLOC__input_number+2, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L__input_number188
	INCF        input_number_i+0, 1 
	GOTO        L__input_number184
L__input_number188:
;kaitenkeiCounter.mbas,433 :: 		digit_index = 0
	CLRF        input_number_digit_index+0 
;kaitenkeiCounter.mbas,434 :: 		while sw_test_long(2,2000) = false
L__input_number190:
	MOVLW       2
	MOVWF       FARG_sw_test_long_sw_no+0 
	MOVLW       208
	MOVWF       FARG_sw_test_long_time+0 
	MOVLW       7
	MOVWF       FARG_sw_test_long_time+1 
	CALL        _sw_test_long+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__input_number191
;kaitenkeiCounter.mbas,435 :: 		if digit_number - 1 >= 0 then led_val1_tmp = led7seg_decode( value[0] + "0") end if
	DECF        FARG_input_number_digit_number+0, 0 
	MOVWF       R1 
	MOVLW       0
	SUBWF       R1, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__input_number195
	MOVLW       48
	ADDWF       input_number_value+0, 0 
	MOVWF       FARG_led7seg_decode_ascii_char+0 
	CALL        _led7seg_decode+0, 0
	MOVF        R0, 0 
	MOVWF       input_number_led_val1_tmp+0 
L__input_number195:
;kaitenkeiCounter.mbas,436 :: 		if digit_number - 1 >= 1 then led_val2_tmp = led7seg_decode( value[1] + "0") end if
	DECF        FARG_input_number_digit_number+0, 0 
	MOVWF       R1 
	MOVLW       1
	SUBWF       R1, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__input_number198
	MOVLW       48
	ADDWF       input_number_value+1, 0 
	MOVWF       FARG_led7seg_decode_ascii_char+0 
	CALL        _led7seg_decode+0, 0
	MOVF        R0, 0 
	MOVWF       input_number_led_val2_tmp+0 
L__input_number198:
;kaitenkeiCounter.mbas,437 :: 		if digit_number - 1 >= 2 then led_val3_tmp = led7seg_decode( value[2] + "0") end if
	DECF        FARG_input_number_digit_number+0, 0 
	MOVWF       R1 
	MOVLW       2
	SUBWF       R1, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__input_number201
	MOVLW       48
	ADDWF       input_number_value+2, 0 
	MOVWF       FARG_led7seg_decode_ascii_char+0 
	CALL        _led7seg_decode+0, 0
	MOVF        R0, 0 
	MOVWF       input_number_led_val3_tmp+0 
L__input_number201:
;kaitenkeiCounter.mbas,438 :: 		if digit_number - 1 >= 3 then led_val4_tmp = led7seg_decode( value[3] + "0") end if
	DECF        FARG_input_number_digit_number+0, 0 
	MOVWF       R1 
	MOVLW       3
	SUBWF       R1, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__input_number204
	MOVLW       48
	ADDWF       input_number_value+3, 0 
	MOVWF       FARG_led7seg_decode_ascii_char+0 
	CALL        _led7seg_decode+0, 0
	MOVF        R0, 0 
	MOVWF       input_number_led_val4_tmp+0 
L__input_number204:
;kaitenkeiCounter.mbas,439 :: 		if digit_number - 1 >= 4 then led_val5_tmp = led7seg_decode( value[4] + "0") end if
	DECF        FARG_input_number_digit_number+0, 0 
	MOVWF       R1 
	MOVLW       4
	SUBWF       R1, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__input_number207
	MOVLW       48
	ADDWF       input_number_value+4, 0 
	MOVWF       FARG_led7seg_decode_ascii_char+0 
	CALL        _led7seg_decode+0, 0
	MOVF        R0, 0 
	MOVWF       input_number_led_val5_tmp+0 
L__input_number207:
;kaitenkeiCounter.mbas,442 :: 		case 0 led_val1_tmp = led_val1_tmp or Digit_DP
	MOVF        input_number_digit_index+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__input_number212
	BSF         input_number_led_val1_tmp+0, 0 
	GOTO        L__input_number209
L__input_number212:
;kaitenkeiCounter.mbas,443 :: 		case 1 led_val2_tmp = led_val2_tmp or Digit_DP
	MOVF        input_number_digit_index+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__input_number215
	BSF         input_number_led_val2_tmp+0, 0 
	GOTO        L__input_number209
L__input_number215:
;kaitenkeiCounter.mbas,444 :: 		case 2 led_val3_tmp = led_val3_tmp or Digit_DP
	MOVF        input_number_digit_index+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__input_number218
	BSF         input_number_led_val3_tmp+0, 0 
	GOTO        L__input_number209
L__input_number218:
;kaitenkeiCounter.mbas,445 :: 		case 3 led_val4_tmp = led_val4_tmp or Digit_DP
	MOVF        input_number_digit_index+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__input_number221
	BSF         input_number_led_val4_tmp+0, 0 
	GOTO        L__input_number209
L__input_number221:
;kaitenkeiCounter.mbas,446 :: 		case 4 led_val5_tmp = led_val5_tmp or Digit_DP
	MOVF        input_number_digit_index+0, 0 
	XORLW       4
	BTFSS       STATUS+0, 2 
	GOTO        L__input_number224
	BSF         input_number_led_val5_tmp+0, 0 
	GOTO        L__input_number209
L__input_number224:
L__input_number209:
;kaitenkeiCounter.mbas,449 :: 		if digit_number - 1 >= 0 then led_val1 = led_val1_tmp end if
	DECF        FARG_input_number_digit_number+0, 0 
	MOVWF       R1 
	MOVLW       0
	SUBWF       R1, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__input_number226
	MOVF        input_number_led_val1_tmp+0, 0 
	MOVWF       _led_val1+0 
L__input_number226:
;kaitenkeiCounter.mbas,450 :: 		if digit_number - 1 >= 1 then led_val2 = led_val2_tmp end if
	DECF        FARG_input_number_digit_number+0, 0 
	MOVWF       R1 
	MOVLW       1
	SUBWF       R1, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__input_number229
	MOVF        input_number_led_val2_tmp+0, 0 
	MOVWF       _led_val2+0 
L__input_number229:
;kaitenkeiCounter.mbas,451 :: 		if digit_number - 1 >= 2 then led_val3 = led_val3_tmp end if
	DECF        FARG_input_number_digit_number+0, 0 
	MOVWF       R1 
	MOVLW       2
	SUBWF       R1, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__input_number232
	MOVF        input_number_led_val3_tmp+0, 0 
	MOVWF       _led_val3+0 
L__input_number232:
;kaitenkeiCounter.mbas,452 :: 		if digit_number - 1 >= 3 then led_val4 = led_val4_tmp end if
	DECF        FARG_input_number_digit_number+0, 0 
	MOVWF       R1 
	MOVLW       3
	SUBWF       R1, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__input_number235
	MOVF        input_number_led_val4_tmp+0, 0 
	MOVWF       _led_val4+0 
L__input_number235:
;kaitenkeiCounter.mbas,453 :: 		if digit_number - 1 >= 4 then led_val5 = led_val5_tmp end if
	DECF        FARG_input_number_digit_number+0, 0 
	MOVWF       R1 
	MOVLW       4
	SUBWF       R1, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__input_number238
	MOVF        input_number_led_val5_tmp+0, 0 
	MOVWF       _led_val5+0 
L__input_number238:
;kaitenkeiCounter.mbas,455 :: 		if sw_test(2) = SW_ON then
	MOVLW       2
	MOVWF       FARG_sw_test_sw_no+0 
	CALL        _sw_test+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__input_number241
;kaitenkeiCounter.mbas,456 :: 		digit_index = digit_index + 1
	INCF        input_number_digit_index+0, 1 
;kaitenkeiCounter.mbas,457 :: 		if digit_index = digit_number then
	MOVF        input_number_digit_index+0, 0 
	XORWF       FARG_input_number_digit_number+0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__input_number244
;kaitenkeiCounter.mbas,458 :: 		digit_index = 0
	CLRF        input_number_digit_index+0 
L__input_number244:
;kaitenkeiCounter.mbas,459 :: 		end if
L__input_number241:
;kaitenkeiCounter.mbas,462 :: 		if sw_test(1) = SW_ON then
	MOVLW       1
	MOVWF       FARG_sw_test_sw_no+0 
	CALL        _sw_test+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__input_number247
;kaitenkeiCounter.mbas,463 :: 		if value[digit_index] = 9 then
	MOVLW       input_number_value+0
	MOVWF       R0 
	MOVLW       hi_addr(input_number_value+0)
	MOVWF       R1 
	MOVF        input_number_digit_index+0, 0 
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       9
	BTFSS       STATUS+0, 2 
	GOTO        L__input_number250
;kaitenkeiCounter.mbas,464 :: 		value[digit_index] = 0
	MOVLW       input_number_value+0
	MOVWF       R0 
	MOVLW       hi_addr(input_number_value+0)
	MOVWF       R1 
	MOVF        input_number_digit_index+0, 0 
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
	GOTO        L__input_number251
;kaitenkeiCounter.mbas,465 :: 		else
L__input_number250:
;kaitenkeiCounter.mbas,466 :: 		value[digit_index] = value[digit_index] + 1
	MOVLW       input_number_value+0
	MOVWF       R0 
	MOVLW       hi_addr(input_number_value+0)
	MOVWF       R1 
	MOVF        input_number_digit_index+0, 0 
	ADDWF       R0, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       R3 
	MOVFF       R2, FSR0
	MOVFF       R3, FSR0H
	MOVF        POSTINC0+0, 0 
	ADDLW       1
	MOVWF       R0 
	MOVFF       R2, FSR1
	MOVFF       R3, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;kaitenkeiCounter.mbas,467 :: 		end if
L__input_number251:
L__input_number247:
;kaitenkeiCounter.mbas,469 :: 		wend
	GOTO        L__input_number190
L__input_number191:
;kaitenkeiCounter.mbas,471 :: 		result = 0
	CLRF        input_number_local_result+0 
	CLRF        input_number_local_result+1 
	CLRF        input_number_local_result+2 
	CLRF        input_number_local_result+3 
;kaitenkeiCounter.mbas,472 :: 		for i = digit_number - 1 to 0 step -1
	DECF        FARG_input_number_digit_number+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	MOVWF       input_number_i+0 
	MOVLW       0
	SUBWF       R1, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__input_number256
L__input_number253:
;kaitenkeiCounter.mbas,473 :: 		result = result * 10
	MOVF        input_number_local_result+0, 0 
	MOVWF       R0 
	MOVF        input_number_local_result+1, 0 
	MOVWF       R1 
	MOVF        input_number_local_result+2, 0 
	MOVWF       R2 
	MOVF        input_number_local_result+3, 0 
	MOVWF       R3 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       input_number_local_result+0 
	MOVF        R1, 0 
	MOVWF       input_number_local_result+1 
	MOVF        R2, 0 
	MOVWF       input_number_local_result+2 
	MOVF        R3, 0 
	MOVWF       input_number_local_result+3 
;kaitenkeiCounter.mbas,474 :: 		long_temp = value[i]
	MOVLW       input_number_value+0
	MOVWF       R0 
	MOVLW       hi_addr(input_number_value+0)
	MOVWF       R1 
	MOVF        input_number_i+0, 0 
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       input_number_long_temp+0 
	MOVLW       0
	MOVWF       input_number_long_temp+1 
	MOVWF       input_number_long_temp+2 
	MOVWF       input_number_long_temp+3 
	MOVLW       0
	MOVWF       input_number_long_temp+1 
	MOVWF       input_number_long_temp+2 
	MOVWF       input_number_long_temp+3 
;kaitenkeiCounter.mbas,475 :: 		result = result + long_temp
	MOVF        input_number_long_temp+0, 0 
	ADDWF       input_number_local_result+0, 1 
	MOVF        input_number_long_temp+1, 0 
	ADDWFC      input_number_local_result+1, 1 
	MOVF        input_number_long_temp+2, 0 
	ADDWFC      input_number_local_result+2, 1 
	MOVF        input_number_long_temp+3, 0 
	ADDWFC      input_number_local_result+3, 1 
;kaitenkeiCounter.mbas,476 :: 		next i
	MOVF        input_number_i+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L__input_number256
	MOVLW       255
	ADDWF       input_number_i+0, 1 
	GOTO        L__input_number253
L__input_number256:
;kaitenkeiCounter.mbas,477 :: 		end sub
	MOVF        input_number_local_result+0, 0 
	MOVWF       R0 
	MOVF        input_number_local_result+1, 0 
	MOVWF       R1 
	MOVF        input_number_local_result+2, 0 
	MOVWF       R2 
	MOVF        input_number_local_result+3, 0 
	MOVWF       R3 
L_end_input_number:
	RETURN      0
; end of _input_number

_eelong_write:

;kaitenkeiCounter.mbas,482 :: 		sub procedure eelong_write( dim addr as byte, dim dv as longint )
;kaitenkeiCounter.mbas,483 :: 		eeprom_write( addr+0, Lo(      dv ) )  delay_ms(20)
	MOVF        FARG_eelong_write_addr+0, 0 
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        FARG_eelong_write_dv+0, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__eelong_write258:
	DECFSZ      R13, 1, 1
	BRA         L__eelong_write258
	DECFSZ      R12, 1, 1
	BRA         L__eelong_write258
	DECFSZ      R11, 1, 1
	BRA         L__eelong_write258
	NOP
;kaitenkeiCounter.mbas,484 :: 		eeprom_write( addr+1, hi(      dv ) )  delay_ms(20)
	MOVF        FARG_eelong_write_addr+0, 0 
	ADDLW       1
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        FARG_eelong_write_dv+1, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__eelong_write259:
	DECFSZ      R13, 1, 1
	BRA         L__eelong_write259
	DECFSZ      R12, 1, 1
	BRA         L__eelong_write259
	DECFSZ      R11, 1, 1
	BRA         L__eelong_write259
	NOP
;kaitenkeiCounter.mbas,485 :: 		eeprom_write( addr+2, higher(  dv ) )  delay_ms(20)
	MOVLW       2
	ADDWF       FARG_eelong_write_addr+0, 0 
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        FARG_eelong_write_dv+2, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__eelong_write260:
	DECFSZ      R13, 1, 1
	BRA         L__eelong_write260
	DECFSZ      R12, 1, 1
	BRA         L__eelong_write260
	DECFSZ      R11, 1, 1
	BRA         L__eelong_write260
	NOP
;kaitenkeiCounter.mbas,486 :: 		eeprom_write( addr+3, highest( dv ) )  delay_ms(20)
	MOVLW       3
	ADDWF       FARG_eelong_write_addr+0, 0 
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        FARG_eelong_write_dv+3, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       160
	MOVWF       R12, 0
	MOVLW       146
	MOVWF       R13, 0
L__eelong_write261:
	DECFSZ      R13, 1, 1
	BRA         L__eelong_write261
	DECFSZ      R12, 1, 1
	BRA         L__eelong_write261
	DECFSZ      R11, 1, 1
	BRA         L__eelong_write261
	NOP
;kaitenkeiCounter.mbas,487 :: 		end sub
L_end_eelong_write:
	RETURN      0
; end of _eelong_write

_eelong_read:

;kaitenkeiCounter.mbas,492 :: 		sub function eelong_read( dim addr as byte ) as longint
;kaitenkeiCounter.mbas,493 :: 		byte1L = eeprom_read( addr+0 )
	MOVF        FARG_eelong_read_addr+0, 0 
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       32 
;kaitenkeiCounter.mbas,494 :: 		byte2L = eeprom_read( addr+1 )
	MOVLW       1
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	MOVF        FARG_eelong_read_addr+0, 0 
	ADDWF       FARG_EEPROM_Read_address+0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FARG_EEPROM_Read_address+1, 1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       33 
;kaitenkeiCounter.mbas,495 :: 		byte3L = eeprom_read( addr+2 )
	MOVLW       2
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	MOVF        FARG_eelong_read_addr+0, 0 
	ADDWF       FARG_EEPROM_Read_address+0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FARG_EEPROM_Read_address+1, 1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       34 
;kaitenkeiCounter.mbas,496 :: 		byte4L = eeprom_read( addr+3 )
	MOVLW       3
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	MOVF        FARG_eelong_read_addr+0, 0 
	ADDWF       FARG_EEPROM_Read_address+0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FARG_EEPROM_Read_address+1, 1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       35 
;kaitenkeiCounter.mbas,497 :: 		result = long_val
	MOVF        32, 0 
	MOVWF       eelong_read_local_result+0 
	MOVF        33, 0 
	MOVWF       eelong_read_local_result+1 
	MOVF        34, 0 
	MOVWF       eelong_read_local_result+2 
	MOVF        35, 0 
	MOVWF       eelong_read_local_result+3 
;kaitenkeiCounter.mbas,498 :: 		end sub
	MOVF        eelong_read_local_result+0, 0 
	MOVWF       R0 
	MOVF        eelong_read_local_result+1, 0 
	MOVWF       R1 
	MOVF        eelong_read_local_result+2, 0 
	MOVWF       R2 
	MOVF        eelong_read_local_result+3, 0 
	MOVWF       R3 
L_end_eelong_read:
	RETURN      0
; end of _eelong_read

_main:

;kaitenkeiCounter.mbas,504 :: 		dim led_txt         as string[11]
;kaitenkeiCounter.mbas,507 :: 		RABPU_bit = 1 ' PORTA and PORTB pull-ups are disabled
	BSF         RABPU_bit+0, BitPos(RABPU_bit+0) 
;kaitenkeiCounter.mbas,508 :: 		WPUA = 0   ' 0:pull-up disable
	CLRF        WPUA+0 
;kaitenkeiCounter.mbas,509 :: 		WPUB = 0   ' 0:pull-up disable
	CLRF        WPUB+0 
;kaitenkeiCounter.mbas,512 :: 		SENSOR_TRIS = 1 ' PORT_INPUT
	BSF         TRISA+0, 2 
;kaitenkeiCounter.mbas,513 :: 		ANS2_bit    = 0 ' PORT digital input
	BCF         ANS2_bit+0, BitPos(ANS2_bit+0) 
;kaitenkeiCounter.mbas,514 :: 		INTEDG2_bit = 1 ' 1:Interrupt on rising edge
	BSF         INTEDG2_bit+0, BitPos(INTEDG2_bit+0) 
;kaitenkeiCounter.mbas,515 :: 		INT2IP_bit  = 1 ' 1:High priority
	BSF         INT2IP_bit+0, BitPos(INT2IP_bit+0) 
;kaitenkeiCounter.mbas,516 :: 		INT2IE_bit  = 1 ' 1:Enables the INT2 external interrupt
	BSF         INT2IE_bit+0, BitPos(INT2IE_bit+0) 
;kaitenkeiCounter.mbas,517 :: 		INT2IF_bit  = 0 ' Clear flag
	BCF         INT2IF_bit+0, BitPos(INT2IF_bit+0) 
;kaitenkeiCounter.mbas,520 :: 		SW1_TRIS = PORT_INPUT
	BSF         TRISA+0, 3 
;kaitenkeiCounter.mbas,521 :: 		SW2_TRIS = PORT_INPUT
	BSF         TRISB+0, 7 
;kaitenkeiCounter.mbas,524 :: 		LED_DEV1_TRIS = PORT_OUTPUT    ' 7 SEGMENT LED 1
	BCF         TRISB+0, 6 
;kaitenkeiCounter.mbas,525 :: 		LED_DEV2_TRIS = PORT_OUTPUT    ' 7 SEGMENT LED 2
	BCF         TRISB+0, 5 
;kaitenkeiCounter.mbas,526 :: 		LED_DEV3_TRIS = PORT_OUTPUT    ' 7 SEGMENT LED 3
	BCF         TRISB+0, 4 
;kaitenkeiCounter.mbas,527 :: 		LED_DEV4_TRIS = PORT_OUTPUT    ' 7 SEGMENT LED 4
	BCF         TRISA+0, 1 
;kaitenkeiCounter.mbas,528 :: 		LED_DEV5_TRIS = PORT_OUTPUT    ' 7 SEGMENT LED 5
	BCF         TRISA+0, 0 
;kaitenkeiCounter.mbas,529 :: 		LED_SEG_TRIS  = PORT_OUTPUT    ' 7 SEGMENT LED SEGMENT
	CLRF        TRISC+0 
;kaitenkeiCounter.mbas,531 :: 		led_txt  = "           "
	MOVLW       32
	MOVWF       main_led_txt+0 
	MOVLW       32
	MOVWF       main_led_txt+1 
	MOVLW       32
	MOVWF       main_led_txt+2 
	MOVLW       32
	MOVWF       main_led_txt+3 
	MOVLW       32
	MOVWF       main_led_txt+4 
	MOVLW       32
	MOVWF       main_led_txt+5 
	MOVLW       32
	MOVWF       main_led_txt+6 
	MOVLW       32
	MOVWF       main_led_txt+7 
	MOVLW       32
	MOVWF       main_led_txt+8 
	MOVLW       32
	MOVWF       main_led_txt+9 
	MOVLW       32
	MOVWF       main_led_txt+10 
	CLRF        main_led_txt+11 
;kaitenkeiCounter.mbas,532 :: 		display_message( MSG_ALL_8 )
	CLRF        FARG_display_message_msg_no+0 
	CALL        _display_message+0, 0
;kaitenkeiCounter.mbas,533 :: 		led_pos  = 1
	MOVLW       1
	MOVWF       _led_pos+0 
;kaitenkeiCounter.mbas,534 :: 		sw_enable = true
	MOVLW       255
	MOVWF       _sw_enable+0 
;kaitenkeiCounter.mbas,537 :: 		T0PS2_bit   = 1  ' PreScaler 1:64
	BSF         T0PS2_bit+0, BitPos(T0PS2_bit+0) 
;kaitenkeiCounter.mbas,538 :: 		T0PS1_bit   = 0  ' PreScaler 1:64
	BCF         T0PS1_bit+0, BitPos(T0PS1_bit+0) 
;kaitenkeiCounter.mbas,539 :: 		T0PS0_bit   = 1  ' PreScaler 1:64
	BSF         T0PS0_bit+0, BitPos(T0PS0_bit+0) 
;kaitenkeiCounter.mbas,540 :: 		PSA_bit     = 0  ' PreScaler assign TMR0
	BCF         PSA_bit+0, BitPos(PSA_bit+0) 
;kaitenkeiCounter.mbas,541 :: 		T08BIT_bit  = 1  ' 1: 8bit mode
	BSF         T08BIT_bit+0, BitPos(T08BIT_bit+0) 
;kaitenkeiCounter.mbas,542 :: 		TMR0IP_bit  = 0  ' 0:Low priority
	BCF         TMR0IP_bit+0, BitPos(TMR0IP_bit+0) 
;kaitenkeiCounter.mbas,543 :: 		TMR0IE_bit  = 1  ' 1:Enable interrupt
	BSF         TMR0IE_bit+0, BitPos(TMR0IE_bit+0) 
;kaitenkeiCounter.mbas,544 :: 		TMR0IF_bit  = 0  ' Clear interrupt flag
	BCF         TMR0IF_bit+0, BitPos(TMR0IF_bit+0) 
;kaitenkeiCounter.mbas,545 :: 		T0CS_bit    = 0  ' 0:internal clock
	BCF         T0CS_bit+0, BitPos(T0CS_bit+0) 
;kaitenkeiCounter.mbas,546 :: 		TMR0ON_bit  = 1  ' 1:Enables Timer0
	BSF         TMR0ON_bit+0, BitPos(TMR0ON_bit+0) 
;kaitenkeiCounter.mbas,547 :: 		TMR0L       = 6  ' overflow 1 msec
	MOVLW       6
	MOVWF       TMR0L+0 
;kaitenkeiCounter.mbas,550 :: 		RD16_bit    = 1  ' 1:16bit mode
	BSF         RD16_bit+0, BitPos(RD16_bit+0) 
;kaitenkeiCounter.mbas,551 :: 		TMR1IE_bit  = 1  ' Enable TMR1 interrupt
	BSF         TMR1IE_bit+0, BitPos(TMR1IE_bit+0) 
;kaitenkeiCounter.mbas,552 :: 		TMR1IF_bit  = 0  ' Clear interrupt flag
	BCF         TMR1IF_bit+0, BitPos(TMR1IF_bit+0) 
;kaitenkeiCounter.mbas,553 :: 		T1CKPS1_bit = 0  ' set prescaler 1:1
	BCF         T1CKPS1_bit+0, BitPos(T1CKPS1_bit+0) 
;kaitenkeiCounter.mbas,554 :: 		T1CKPS0_bit = 0  ' set prescaler 1:1
	BCF         T1CKPS0_bit+0, BitPos(T1CKPS0_bit+0) 
;kaitenkeiCounter.mbas,555 :: 		TMR1CS_bit  = 0  ' 0:Internal clock (FOSC/4)
	BCF         TMR1CS_bit+0, BitPos(TMR1CS_bit+0) 
;kaitenkeiCounter.mbas,556 :: 		TMR1ON_bit  = 1  ' 1:Enable TMR1
	BSF         TMR1ON_bit+0, BitPos(TMR1ON_bit+0) 
;kaitenkeiCounter.mbas,557 :: 		TMR1IP_bit  = 1  ' 1:High priority
	BSF         TMR1IP_bit+0, BitPos(TMR1IP_bit+0) 
;kaitenkeiCounter.mbas,559 :: 		IPEN_bit = 1  ' 1:Enable priority levels on interrupts
	BSF         IPEN_bit+0, BitPos(IPEN_bit+0) 
;kaitenkeiCounter.mbas,560 :: 		GIEH_bit = 1  ' 1:Enables all high priority interrupts
	BSF         GIEH_bit+0, BitPos(GIEH_bit+0) 
;kaitenkeiCounter.mbas,561 :: 		GIEL_bit = 1  ' 1:Enables all low priority interrupts
	BSF         GIEL_bit+0, BitPos(GIEL_bit+0) 
;kaitenkeiCounter.mbas,563 :: 		sw_off_counter = 0
	CLRF        _sw_off_counter+0 
	CLRF        _sw_off_counter+1 
;kaitenkeiCounter.mbas,564 :: 		device_function = eeprom_read( EEPADDR_FUNCTION         )
	CLRF        FARG_EEPROM_Read_address+0 
	CLRF        FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _device_function+0 
;kaitenkeiCounter.mbas,565 :: 		tacho_div       = eelong_read( EEPADDR_TACHO_DIV        )
	MOVLW       1
	MOVWF       FARG_eelong_read_addr+0 
	CALL        _eelong_read+0, 0
	MOVF        R0, 0 
	MOVWF       _tacho_div+0 
	MOVF        R1, 0 
	MOVWF       _tacho_div+1 
	MOVF        R2, 0 
	MOVWF       _tacho_div+2 
	MOVF        R3, 0 
	MOVWF       _tacho_div+3 
;kaitenkeiCounter.mbas,566 :: 		tacho_mul       = eelong_read( EEPADDR_TACHO_MUL        )
	MOVLW       5
	MOVWF       FARG_eelong_read_addr+0 
	CALL        _eelong_read+0, 0
	MOVF        R0, 0 
	MOVWF       _tacho_mul+0 
	MOVF        R1, 0 
	MOVWF       _tacho_mul+1 
	MOVF        R2, 0 
	MOVWF       _tacho_mul+2 
	MOVF        R3, 0 
	MOVWF       _tacho_mul+3 
;kaitenkeiCounter.mbas,567 :: 		counter_inital  = eelong_read( EEPADDR_DOWNCOUNTER_INIT )
	MOVLW       9
	MOVWF       FARG_eelong_read_addr+0 
	CALL        _eelong_read+0, 0
	MOVF        R0, 0 
	MOVWF       _counter_inital+0 
	MOVF        R1, 0 
	MOVWF       _counter_inital+1 
	MOVF        R2, 0 
	MOVWF       _counter_inital+2 
	MOVF        R3, 0 
	MOVWF       _counter_inital+3 
;kaitenkeiCounter.mbas,570 :: 		if sw_test(2) = SW_ON then
	MOVLW       2
	MOVWF       FARG_sw_test_sw_no+0 
	CALL        _sw_test+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main265
;kaitenkeiCounter.mbas,571 :: 		INT2IE_bit = 0   ' disable sensor
	BCF         INT2IE_bit+0, BitPos(INT2IE_bit+0) 
;kaitenkeiCounter.mbas,572 :: 		display_blink(MSG_ALL_8,MSG_ALL_NON)
	CLRF        FARG_display_blink_msg_id1+0 
	MOVLW       1
	MOVWF       FARG_display_blink_msg_id2+0 
	CALL        _display_blink+0, 0
;kaitenkeiCounter.mbas,573 :: 		device_function = input_count_tacho(device_function)
	MOVF        _device_function+0, 0 
	MOVWF       FARG_input_count_tacho_func+0 
	CALL        _input_count_tacho+0, 0
	MOVF        R0, 0 
	MOVWF       _device_function+0 
;kaitenkeiCounter.mbas,574 :: 		eeprom_write( EEPADDR_FUNCTION,  device_function )
	CLRF        FARG_EEPROM_Write_address+0 
	MOVF        R0, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;kaitenkeiCounter.mbas,575 :: 		display_message( MSG_SAVE )
	MOVLW       6
	MOVWF       FARG_display_message_msg_no+0 
	CALL        _display_message+0, 0
;kaitenkeiCounter.mbas,576 :: 		delay_ms(1000)
	MOVLW       82
	MOVWF       R11, 0
	MOVLW       43
	MOVWF       R12, 0
	MOVLW       0
	MOVWF       R13, 0
L__main267:
	DECFSZ      R13, 1, 1
	BRA         L__main267
	DECFSZ      R12, 1, 1
	BRA         L__main267
	DECFSZ      R11, 1, 1
	BRA         L__main267
	NOP
;kaitenkeiCounter.mbas,577 :: 		if device_function = FUNC_TACHOMETER then
	MOVF        _device_function+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main269
;kaitenkeiCounter.mbas,578 :: 		led_val5 = Digit_d
	MOVLW       122
	MOVWF       _led_val5+0 
;kaitenkeiCounter.mbas,579 :: 		tacho_div = input_number( 4, tacho_div )
	MOVLW       4
	MOVWF       FARG_input_number_digit_number+0 
	MOVF        _tacho_div+0, 0 
	MOVWF       FARG_input_number_initial+0 
	MOVF        _tacho_div+1, 0 
	MOVWF       FARG_input_number_initial+1 
	MOVF        _tacho_div+2, 0 
	MOVWF       FARG_input_number_initial+2 
	MOVF        _tacho_div+3, 0 
	MOVWF       FARG_input_number_initial+3 
	CALL        _input_number+0, 0
	MOVF        R0, 0 
	MOVWF       _tacho_div+0 
	MOVF        R1, 0 
	MOVWF       _tacho_div+1 
	MOVF        R2, 0 
	MOVWF       _tacho_div+2 
	MOVF        R3, 0 
	MOVWF       _tacho_div+3 
;kaitenkeiCounter.mbas,580 :: 		if tacho_div = 0 then
	MOVLW       0
	MOVWF       R4 
	XORWF       R3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main353
	MOVF        R4, 0 
	XORWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main353
	MOVF        R4, 0 
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main353
	MOVF        R0, 0 
	XORLW       0
L__main353:
	BTFSS       STATUS+0, 2 
	GOTO        L__main272
;kaitenkeiCounter.mbas,581 :: 		tacho_div = 1
	MOVLW       1
	MOVWF       _tacho_div+0 
	MOVLW       0
	MOVWF       _tacho_div+1 
	MOVWF       _tacho_div+2 
	MOVWF       _tacho_div+3 
L__main272:
;kaitenkeiCounter.mbas,583 :: 		eelong_write( EEPADDR_TACHO_DIV, tacho_div )
	MOVLW       1
	MOVWF       FARG_eelong_write_addr+0 
	MOVF        _tacho_div+0, 0 
	MOVWF       FARG_eelong_write_dv+0 
	MOVF        _tacho_div+1, 0 
	MOVWF       FARG_eelong_write_dv+1 
	MOVF        _tacho_div+2, 0 
	MOVWF       FARG_eelong_write_dv+2 
	MOVF        _tacho_div+3, 0 
	MOVWF       FARG_eelong_write_dv+3 
	CALL        _eelong_write+0, 0
;kaitenkeiCounter.mbas,584 :: 		display_message( MSG_SAVE )
	MOVLW       6
	MOVWF       FARG_display_message_msg_no+0 
	CALL        _display_message+0, 0
;kaitenkeiCounter.mbas,585 :: 		delay_ms(1000)
	MOVLW       82
	MOVWF       R11, 0
	MOVLW       43
	MOVWF       R12, 0
	MOVLW       0
	MOVWF       R13, 0
L__main274:
	DECFSZ      R13, 1, 1
	BRA         L__main274
	DECFSZ      R12, 1, 1
	BRA         L__main274
	DECFSZ      R11, 1, 1
	BRA         L__main274
	NOP
;kaitenkeiCounter.mbas,586 :: 		led_val5 = Digit_U
	MOVLW       124
	MOVWF       _led_val5+0 
;kaitenkeiCounter.mbas,587 :: 		tacho_mul = input_number( 4, tacho_mul )
	MOVLW       4
	MOVWF       FARG_input_number_digit_number+0 
	MOVF        _tacho_mul+0, 0 
	MOVWF       FARG_input_number_initial+0 
	MOVF        _tacho_mul+1, 0 
	MOVWF       FARG_input_number_initial+1 
	MOVF        _tacho_mul+2, 0 
	MOVWF       FARG_input_number_initial+2 
	MOVF        _tacho_mul+3, 0 
	MOVWF       FARG_input_number_initial+3 
	CALL        _input_number+0, 0
	MOVF        R0, 0 
	MOVWF       _tacho_mul+0 
	MOVF        R1, 0 
	MOVWF       _tacho_mul+1 
	MOVF        R2, 0 
	MOVWF       _tacho_mul+2 
	MOVF        R3, 0 
	MOVWF       _tacho_mul+3 
;kaitenkeiCounter.mbas,588 :: 		if tacho_mul = 0 then
	MOVLW       0
	MOVWF       R4 
	XORWF       R3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main354
	MOVF        R4, 0 
	XORWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main354
	MOVF        R4, 0 
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main354
	MOVF        R0, 0 
	XORLW       0
L__main354:
	BTFSS       STATUS+0, 2 
	GOTO        L__main276
;kaitenkeiCounter.mbas,589 :: 		tacho_mul = 1
	MOVLW       1
	MOVWF       _tacho_mul+0 
	MOVLW       0
	MOVWF       _tacho_mul+1 
	MOVWF       _tacho_mul+2 
	MOVWF       _tacho_mul+3 
L__main276:
;kaitenkeiCounter.mbas,591 :: 		eelong_write( EEPADDR_TACHO_MUL, tacho_mul )
	MOVLW       5
	MOVWF       FARG_eelong_write_addr+0 
	MOVF        _tacho_mul+0, 0 
	MOVWF       FARG_eelong_write_dv+0 
	MOVF        _tacho_mul+1, 0 
	MOVWF       FARG_eelong_write_dv+1 
	MOVF        _tacho_mul+2, 0 
	MOVWF       FARG_eelong_write_dv+2 
	MOVF        _tacho_mul+3, 0 
	MOVWF       FARG_eelong_write_dv+3 
	CALL        _eelong_write+0, 0
;kaitenkeiCounter.mbas,592 :: 		display_message( MSG_SAVE )
	MOVLW       6
	MOVWF       FARG_display_message_msg_no+0 
	CALL        _display_message+0, 0
;kaitenkeiCounter.mbas,593 :: 		delay_ms(1000)
	MOVLW       82
	MOVWF       R11, 0
	MOVLW       43
	MOVWF       R12, 0
	MOVLW       0
	MOVWF       R13, 0
L__main278:
	DECFSZ      R13, 1, 1
	BRA         L__main278
	DECFSZ      R12, 1, 1
	BRA         L__main278
	DECFSZ      R11, 1, 1
	BRA         L__main278
	NOP
L__main269:
;kaitenkeiCounter.mbas,595 :: 		if device_function = FUNC_DOWN_COUNTER then
	MOVF        _device_function+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__main280
;kaitenkeiCounter.mbas,596 :: 		counter_inital = input_number( 5, counter_inital )
	MOVLW       5
	MOVWF       FARG_input_number_digit_number+0 
	MOVF        _counter_inital+0, 0 
	MOVWF       FARG_input_number_initial+0 
	MOVF        _counter_inital+1, 0 
	MOVWF       FARG_input_number_initial+1 
	MOVF        _counter_inital+2, 0 
	MOVWF       FARG_input_number_initial+2 
	MOVF        _counter_inital+3, 0 
	MOVWF       FARG_input_number_initial+3 
	CALL        _input_number+0, 0
	MOVF        R0, 0 
	MOVWF       _counter_inital+0 
	MOVF        R1, 0 
	MOVWF       _counter_inital+1 
	MOVF        R2, 0 
	MOVWF       _counter_inital+2 
	MOVF        R3, 0 
	MOVWF       _counter_inital+3 
;kaitenkeiCounter.mbas,597 :: 		eelong_write( EEPADDR_DOWNCOUNTER_INIT, counter_inital  )
	MOVLW       9
	MOVWF       FARG_eelong_write_addr+0 
	MOVF        R0, 0 
	MOVWF       FARG_eelong_write_dv+0 
	MOVF        R1, 0 
	MOVWF       FARG_eelong_write_dv+1 
	MOVF        R2, 0 
	MOVWF       FARG_eelong_write_dv+2 
	MOVF        R3, 0 
	MOVWF       FARG_eelong_write_dv+3 
	CALL        _eelong_write+0, 0
;kaitenkeiCounter.mbas,598 :: 		display_message( MSG_SAVE )
	MOVLW       6
	MOVWF       FARG_display_message_msg_no+0 
	CALL        _display_message+0, 0
;kaitenkeiCounter.mbas,599 :: 		delay_ms(1000)
	MOVLW       82
	MOVWF       R11, 0
	MOVLW       43
	MOVWF       R12, 0
	MOVLW       0
	MOVWF       R13, 0
L__main282:
	DECFSZ      R13, 1, 1
	BRA         L__main282
	DECFSZ      R12, 1, 1
	BRA         L__main282
	DECFSZ      R11, 1, 1
	BRA         L__main282
	NOP
L__main280:
;kaitenkeiCounter.mbas,601 :: 		display_message( MSG_ALL_8 )
	CLRF        FARG_display_message_msg_no+0 
	CALL        _display_message+0, 0
L__main265:
;kaitenkeiCounter.mbas,607 :: 		case FUNC_TACHOMETER
	MOVF        _device_function+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main286
;kaitenkeiCounter.mbas,608 :: 		rpm = 0
	CLRF        _rpm+0 
	CLRF        _rpm+1 
	CLRF        _rpm+2 
	CLRF        _rpm+3 
;kaitenkeiCounter.mbas,609 :: 		delay_ms(1000)
	MOVLW       82
	MOVWF       R11, 0
	MOVLW       43
	MOVWF       R12, 0
	MOVLW       0
	MOVWF       R13, 0
L__main287:
	DECFSZ      R13, 1, 1
	BRA         L__main287
	DECFSZ      R12, 1, 1
	BRA         L__main287
	DECFSZ      R11, 1, 1
	BRA         L__main287
	NOP
;kaitenkeiCounter.mbas,610 :: 		display_message( MSG_ZERO )
	MOVLW       2
	MOVWF       FARG_display_message_msg_no+0 
	CALL        _display_message+0, 0
;kaitenkeiCounter.mbas,611 :: 		zero_display_counter = 0
	CLRF        _zero_display_counter+0 
	CLRF        _zero_display_counter+1 
;kaitenkeiCounter.mbas,612 :: 		start_flag   = FALSE
	CLRF        _start_flag+0 
;kaitenkeiCounter.mbas,613 :: 		display_flag = FALSE
	CLRF        _display_flag+0 
;kaitenkeiCounter.mbas,614 :: 		while( TRUE )
L__main289:
;kaitenkeiCounter.mbas,615 :: 		if zero_display_counter >= ZERO_CLEAR_TIME then
	MOVLW       11
	SUBWF       _zero_display_counter+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main355
	MOVLW       184
	SUBWF       _zero_display_counter+0, 0 
L__main355:
	BTFSS       STATUS+0, 0 
	GOTO        L__main294
;kaitenkeiCounter.mbas,616 :: 		display_message( MSG_ZERO )
	MOVLW       2
	MOVWF       FARG_display_message_msg_no+0 
	CALL        _display_message+0, 0
;kaitenkeiCounter.mbas,617 :: 		zero_display_counter = 0
	CLRF        _zero_display_counter+0 
	CLRF        _zero_display_counter+1 
;kaitenkeiCounter.mbas,618 :: 		start_flag = FALSE
	CLRF        _start_flag+0 
L__main294:
;kaitenkeiCounter.mbas,620 :: 		if display_flag = TRUE then
	MOVF        _display_flag+0, 0 
	XORLW       255
	BTFSS       STATUS+0, 2 
	GOTO        L__main297
;kaitenkeiCounter.mbas,621 :: 		word_val = TMR1_OVF_value
	MOVF        _TMR1_OVF_value+0, 0 
	MOVWF       36 
	MOVF        _TMR1_OVF_value+1, 0 
	MOVWF       37 
;kaitenkeiCounter.mbas,622 :: 		byte1L = TMR1L_value
	MOVF        _TMR1L_value+0, 0 
	MOVWF       32 
;kaitenkeiCounter.mbas,623 :: 		byte2L = TMR1H_value
	MOVF        _TMR1H_value+0, 0 
	MOVWF       33 
;kaitenkeiCounter.mbas,624 :: 		byte3L = byteL
	MOVF        36, 0 
	MOVWF       34 
;kaitenkeiCounter.mbas,625 :: 		byte4L = byteH
	MOVF        37, 0 
	MOVWF       35 
;kaitenkeiCounter.mbas,626 :: 		tmr1_count = long_val
	MOVF        32, 0 
	MOVWF       _tmr1_count+0 
	MOVF        33, 0 
	MOVWF       _tmr1_count+1 
	MOVF        34, 0 
	MOVWF       _tmr1_count+2 
	MOVF        35, 0 
	MOVWF       _tmr1_count+3 
;kaitenkeiCounter.mbas,628 :: 		count_div  = CONST_MIN div tmr1_count
	MOVF        32, 0 
	MOVWF       R4 
	MOVF        33, 0 
	MOVWF       R5 
	MOVF        34, 0 
	MOVWF       R6 
	MOVF        35, 0 
	MOVWF       R7 
	MOVLW       0
	MOVWF       R0 
	MOVLW       112
	MOVWF       R1 
	MOVLW       56
	MOVWF       R2 
	MOVLW       57
	MOVWF       R3 
	CALL        _Div_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       _count_div+0 
	MOVF        R1, 0 
	MOVWF       _count_div+1 
	MOVF        R2, 0 
	MOVWF       _count_div+2 
	MOVF        R3, 0 
	MOVWF       _count_div+3 
;kaitenkeiCounter.mbas,629 :: 		count_tmp1 = count_div * rotate_value
	MOVF        _rotate_value+0, 0 
	MOVWF       R4 
	MOVF        _rotate_value+1, 0 
	MOVWF       R5 
	MOVF        _rotate_value+2, 0 
	MOVWF       R6 
	MOVF        _rotate_value+3, 0 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__main+0 
	MOVF        R1, 0 
	MOVWF       FLOC__main+1 
	MOVF        R2, 0 
	MOVWF       FLOC__main+2 
	MOVF        R3, 0 
	MOVWF       FLOC__main+3 
	MOVF        FLOC__main+0, 0 
	MOVWF       _count_tmp1+0 
	MOVF        FLOC__main+1, 0 
	MOVWF       _count_tmp1+1 
	MOVF        FLOC__main+2, 0 
	MOVWF       _count_tmp1+2 
	MOVF        FLOC__main+3, 0 
	MOVWF       _count_tmp1+3 
;kaitenkeiCounter.mbas,630 :: 		count_tmp2 = CONST_MIN mod tmr1_count
	MOVF        32, 0 
	MOVWF       R4 
	MOVF        33, 0 
	MOVWF       R5 
	MOVF        34, 0 
	MOVWF       R6 
	MOVF        35, 0 
	MOVWF       R7 
	MOVLW       0
	MOVWF       R0 
	MOVLW       112
	MOVWF       R1 
	MOVLW       56
	MOVWF       R2 
	MOVLW       57
	MOVWF       R3 
	CALL        _Div_32x32_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R10, 0 
	MOVWF       R2 
	MOVF        R11, 0 
	MOVWF       R3 
	MOVF        R0, 0 
	MOVWF       _count_tmp2+0 
	MOVF        R1, 0 
	MOVWF       _count_tmp2+1 
	MOVF        R2, 0 
	MOVWF       _count_tmp2+2 
	MOVF        R3, 0 
	MOVWF       _count_tmp2+3 
;kaitenkeiCounter.mbas,631 :: 		count_tmp2 = count_tmp2 * rotate_value
	MOVF        _rotate_value+0, 0 
	MOVWF       R4 
	MOVF        _rotate_value+1, 0 
	MOVWF       R5 
	MOVF        _rotate_value+2, 0 
	MOVWF       R6 
	MOVF        _rotate_value+3, 0 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       _count_tmp2+0 
	MOVF        R1, 0 
	MOVWF       _count_tmp2+1 
	MOVF        R2, 0 
	MOVWF       _count_tmp2+2 
	MOVF        R3, 0 
	MOVWF       _count_tmp2+3 
;kaitenkeiCounter.mbas,632 :: 		count_tmp2 = count_tmp2 div tmr1_count
	MOVF        32, 0 
	MOVWF       R4 
	MOVF        33, 0 
	MOVWF       R5 
	MOVF        34, 0 
	MOVWF       R6 
	MOVF        35, 0 
	MOVWF       R7 
	CALL        _Div_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       _count_tmp2+0 
	MOVF        R1, 0 
	MOVWF       _count_tmp2+1 
	MOVF        R2, 0 
	MOVWF       _count_tmp2+2 
	MOVF        R3, 0 
	MOVWF       _count_tmp2+3 
;kaitenkeiCounter.mbas,633 :: 		rpm        = count_tmp1 + count_tmp2
	MOVF        FLOC__main+0, 0 
	ADDWF       R0, 1 
	MOVF        FLOC__main+1, 0 
	ADDWFC      R1, 1 
	MOVF        FLOC__main+2, 0 
	ADDWFC      R2, 1 
	MOVF        FLOC__main+3, 0 
	ADDWFC      R3, 1 
	MOVF        R0, 0 
	MOVWF       _rpm+0 
	MOVF        R1, 0 
	MOVWF       _rpm+1 
	MOVF        R2, 0 
	MOVWF       _rpm+2 
	MOVF        R3, 0 
	MOVWF       _rpm+3 
;kaitenkeiCounter.mbas,634 :: 		rpm = rpm * tacho_mul / tacho_div
	MOVF        _tacho_mul+0, 0 
	MOVWF       R4 
	MOVF        _tacho_mul+1, 0 
	MOVWF       R5 
	MOVF        _tacho_mul+2, 0 
	MOVWF       R6 
	MOVF        _tacho_mul+3, 0 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVF        _tacho_div+0, 0 
	MOVWF       R4 
	MOVF        _tacho_div+1, 0 
	MOVWF       R5 
	MOVF        _tacho_div+2, 0 
	MOVWF       R6 
	MOVF        _tacho_div+3, 0 
	MOVWF       R7 
	CALL        _Div_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       _rpm+0 
	MOVF        R1, 0 
	MOVWF       _rpm+1 
	MOVF        R2, 0 
	MOVWF       _rpm+2 
	MOVF        R3, 0 
	MOVWF       _rpm+3 
;kaitenkeiCounter.mbas,636 :: 		LongintToStr( rpm, led_txt )
	MOVF        R0, 0 
	MOVWF       FARG_LongIntToStr_input+0 
	MOVF        R1, 0 
	MOVWF       FARG_LongIntToStr_input+1 
	MOVF        R2, 0 
	MOVWF       FARG_LongIntToStr_input+2 
	MOVF        R3, 0 
	MOVWF       FARG_LongIntToStr_input+3 
	MOVLW       main_led_txt+0
	MOVWF       FARG_LongIntToStr_output+0 
	MOVLW       hi_addr(main_led_txt+0)
	MOVWF       FARG_LongIntToStr_output+1 
	CALL        _LongIntToStr+0, 0
;kaitenkeiCounter.mbas,637 :: 		led_val1 = led7seg_decode( led_txt[10] )
	MOVF        main_led_txt+10, 0 
	MOVWF       FARG_led7seg_decode_ascii_char+0 
	CALL        _led7seg_decode+0, 0
	MOVF        R0, 0 
	MOVWF       _led_val1+0 
;kaitenkeiCounter.mbas,638 :: 		led_val2 = led7seg_decode( led_txt[9]  )
	MOVF        main_led_txt+9, 0 
	MOVWF       FARG_led7seg_decode_ascii_char+0 
	CALL        _led7seg_decode+0, 0
	MOVF        R0, 0 
	MOVWF       _led_val2+0 
;kaitenkeiCounter.mbas,639 :: 		led_val3 = led7seg_decode( led_txt[8]  )
	MOVF        main_led_txt+8, 0 
	MOVWF       FARG_led7seg_decode_ascii_char+0 
	CALL        _led7seg_decode+0, 0
	MOVF        R0, 0 
	MOVWF       _led_val3+0 
;kaitenkeiCounter.mbas,640 :: 		led_val4 = led7seg_decode( led_txt[7]  )
	MOVF        main_led_txt+7, 0 
	MOVWF       FARG_led7seg_decode_ascii_char+0 
	CALL        _led7seg_decode+0, 0
	MOVF        R0, 0 
	MOVWF       _led_val4+0 
;kaitenkeiCounter.mbas,641 :: 		led_val5 = led7seg_decode( led_txt[6]  )
	MOVF        main_led_txt+6, 0 
	MOVWF       FARG_led7seg_decode_ascii_char+0 
	CALL        _led7seg_decode+0, 0
	MOVF        R0, 0 
	MOVWF       _led_val5+0 
;kaitenkeiCounter.mbas,643 :: 		display_flag = FALSE
	CLRF        _display_flag+0 
L__main297:
;kaitenkeiCounter.mbas,645 :: 		wend
	GOTO        L__main289
L__main286:
;kaitenkeiCounter.mbas,647 :: 		case FUNC_UP_COUNTER
	MOVF        _device_function+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__main301
;kaitenkeiCounter.mbas,648 :: 		up_count_value = 0
	CLRF        _up_count_value+0 
	CLRF        _up_count_value+1 
	CLRF        _up_count_value+2 
	CLRF        _up_count_value+3 
;kaitenkeiCounter.mbas,649 :: 		delay_ms(1000)
	MOVLW       82
	MOVWF       R11, 0
	MOVLW       43
	MOVWF       R12, 0
	MOVLW       0
	MOVWF       R13, 0
L__main302:
	DECFSZ      R13, 1, 1
	BRA         L__main302
	DECFSZ      R12, 1, 1
	BRA         L__main302
	DECFSZ      R11, 1, 1
	BRA         L__main302
	NOP
;kaitenkeiCounter.mbas,650 :: 		display_message( MSG_UP )
	MOVLW       4
	MOVWF       FARG_display_message_msg_no+0 
	CALL        _display_message+0, 0
;kaitenkeiCounter.mbas,651 :: 		delay_ms(1000)
	MOVLW       82
	MOVWF       R11, 0
	MOVLW       43
	MOVWF       R12, 0
	MOVLW       0
	MOVWF       R13, 0
L__main303:
	DECFSZ      R13, 1, 1
	BRA         L__main303
	DECFSZ      R12, 1, 1
	BRA         L__main303
	DECFSZ      R11, 1, 1
	BRA         L__main303
	NOP
;kaitenkeiCounter.mbas,652 :: 		counter_update = TRUE
	MOVLW       255
	MOVWF       _counter_update+0 
;kaitenkeiCounter.mbas,653 :: 		sw_enable = true
	MOVLW       255
	MOVWF       _sw_enable+0 
;kaitenkeiCounter.mbas,654 :: 		while( TRUE )
L__main305:
;kaitenkeiCounter.mbas,655 :: 		if counter_update = TRUE then
	MOVF        _counter_update+0, 0 
	XORLW       255
	BTFSS       STATUS+0, 2 
	GOTO        L__main310
;kaitenkeiCounter.mbas,656 :: 		LongintToStr( up_count_value, led_txt )
	MOVF        _up_count_value+0, 0 
	MOVWF       FARG_LongIntToStr_input+0 
	MOVF        _up_count_value+1, 0 
	MOVWF       FARG_LongIntToStr_input+1 
	MOVF        _up_count_value+2, 0 
	MOVWF       FARG_LongIntToStr_input+2 
	MOVF        _up_count_value+3, 0 
	MOVWF       FARG_LongIntToStr_input+3 
	MOVLW       main_led_txt+0
	MOVWF       FARG_LongIntToStr_output+0 
	MOVLW       hi_addr(main_led_txt+0)
	MOVWF       FARG_LongIntToStr_output+1 
	CALL        _LongIntToStr+0, 0
;kaitenkeiCounter.mbas,657 :: 		led_val1 = led7seg_decode( led_txt[10] )
	MOVF        main_led_txt+10, 0 
	MOVWF       FARG_led7seg_decode_ascii_char+0 
	CALL        _led7seg_decode+0, 0
	MOVF        R0, 0 
	MOVWF       _led_val1+0 
;kaitenkeiCounter.mbas,658 :: 		led_val2 = led7seg_decode( led_txt[9]  )
	MOVF        main_led_txt+9, 0 
	MOVWF       FARG_led7seg_decode_ascii_char+0 
	CALL        _led7seg_decode+0, 0
	MOVF        R0, 0 
	MOVWF       _led_val2+0 
;kaitenkeiCounter.mbas,659 :: 		led_val3 = led7seg_decode( led_txt[8]  )
	MOVF        main_led_txt+8, 0 
	MOVWF       FARG_led7seg_decode_ascii_char+0 
	CALL        _led7seg_decode+0, 0
	MOVF        R0, 0 
	MOVWF       _led_val3+0 
;kaitenkeiCounter.mbas,660 :: 		led_val4 = led7seg_decode( led_txt[7]  )
	MOVF        main_led_txt+7, 0 
	MOVWF       FARG_led7seg_decode_ascii_char+0 
	CALL        _led7seg_decode+0, 0
	MOVF        R0, 0 
	MOVWF       _led_val4+0 
;kaitenkeiCounter.mbas,661 :: 		led_val5 = led7seg_decode( led_txt[6]  )
	MOVF        main_led_txt+6, 0 
	MOVWF       FARG_led7seg_decode_ascii_char+0 
	CALL        _led7seg_decode+0, 0
	MOVF        R0, 0 
	MOVWF       _led_val5+0 
;kaitenkeiCounter.mbas,662 :: 		counter_update = FALSE
	CLRF        _counter_update+0 
L__main310:
;kaitenkeiCounter.mbas,665 :: 		if sw_test(1) = SW_ON then
	MOVLW       1
	MOVWF       FARG_sw_test_sw_no+0 
	CALL        _sw_test+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main313
;kaitenkeiCounter.mbas,666 :: 		up_count_value = 0
	CLRF        _up_count_value+0 
	CLRF        _up_count_value+1 
	CLRF        _up_count_value+2 
	CLRF        _up_count_value+3 
;kaitenkeiCounter.mbas,667 :: 		counter_update = TRUE
	MOVLW       255
	MOVWF       _counter_update+0 
L__main313:
;kaitenkeiCounter.mbas,669 :: 		wend
	GOTO        L__main305
L__main301:
;kaitenkeiCounter.mbas,671 :: 		case  FUNC_DOWN_COUNTER
	MOVF        _device_function+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__main317
;kaitenkeiCounter.mbas,672 :: 		down_count_value = counter_inital
	MOVF        _counter_inital+0, 0 
	MOVWF       _down_count_value+0 
	MOVF        _counter_inital+1, 0 
	MOVWF       _down_count_value+1 
	MOVF        _counter_inital+2, 0 
	MOVWF       _down_count_value+2 
	MOVF        _counter_inital+3, 0 
	MOVWF       _down_count_value+3 
;kaitenkeiCounter.mbas,673 :: 		delay_ms(1000)
	MOVLW       82
	MOVWF       R11, 0
	MOVLW       43
	MOVWF       R12, 0
	MOVLW       0
	MOVWF       R13, 0
L__main318:
	DECFSZ      R13, 1, 1
	BRA         L__main318
	DECFSZ      R12, 1, 1
	BRA         L__main318
	DECFSZ      R11, 1, 1
	BRA         L__main318
	NOP
;kaitenkeiCounter.mbas,674 :: 		display_message( MSG_DOWN )
	MOVLW       5
	MOVWF       FARG_display_message_msg_no+0 
	CALL        _display_message+0, 0
;kaitenkeiCounter.mbas,675 :: 		delay_ms(1000)
	MOVLW       82
	MOVWF       R11, 0
	MOVLW       43
	MOVWF       R12, 0
	MOVLW       0
	MOVWF       R13, 0
L__main319:
	DECFSZ      R13, 1, 1
	BRA         L__main319
	DECFSZ      R12, 1, 1
	BRA         L__main319
	DECFSZ      R11, 1, 1
	BRA         L__main319
	NOP
;kaitenkeiCounter.mbas,676 :: 		counter_update = TRUE
	MOVLW       255
	MOVWF       _counter_update+0 
;kaitenkeiCounter.mbas,677 :: 		sw_enable = true
	MOVLW       255
	MOVWF       _sw_enable+0 
;kaitenkeiCounter.mbas,678 :: 		while( TRUE )
L__main321:
;kaitenkeiCounter.mbas,679 :: 		if counter_update = TRUE then
	MOVF        _counter_update+0, 0 
	XORLW       255
	BTFSS       STATUS+0, 2 
	GOTO        L__main326
;kaitenkeiCounter.mbas,680 :: 		LongintToStr( down_count_value, led_txt )
	MOVF        _down_count_value+0, 0 
	MOVWF       FARG_LongIntToStr_input+0 
	MOVF        _down_count_value+1, 0 
	MOVWF       FARG_LongIntToStr_input+1 
	MOVF        _down_count_value+2, 0 
	MOVWF       FARG_LongIntToStr_input+2 
	MOVF        _down_count_value+3, 0 
	MOVWF       FARG_LongIntToStr_input+3 
	MOVLW       main_led_txt+0
	MOVWF       FARG_LongIntToStr_output+0 
	MOVLW       hi_addr(main_led_txt+0)
	MOVWF       FARG_LongIntToStr_output+1 
	CALL        _LongIntToStr+0, 0
;kaitenkeiCounter.mbas,681 :: 		led_val1 = led7seg_decode( led_txt[10] )
	MOVF        main_led_txt+10, 0 
	MOVWF       FARG_led7seg_decode_ascii_char+0 
	CALL        _led7seg_decode+0, 0
	MOVF        R0, 0 
	MOVWF       _led_val1+0 
;kaitenkeiCounter.mbas,682 :: 		led_val2 = led7seg_decode( led_txt[9]  )
	MOVF        main_led_txt+9, 0 
	MOVWF       FARG_led7seg_decode_ascii_char+0 
	CALL        _led7seg_decode+0, 0
	MOVF        R0, 0 
	MOVWF       _led_val2+0 
;kaitenkeiCounter.mbas,683 :: 		led_val3 = led7seg_decode( led_txt[8]  )
	MOVF        main_led_txt+8, 0 
	MOVWF       FARG_led7seg_decode_ascii_char+0 
	CALL        _led7seg_decode+0, 0
	MOVF        R0, 0 
	MOVWF       _led_val3+0 
;kaitenkeiCounter.mbas,684 :: 		led_val4 = led7seg_decode( led_txt[7]  )
	MOVF        main_led_txt+7, 0 
	MOVWF       FARG_led7seg_decode_ascii_char+0 
	CALL        _led7seg_decode+0, 0
	MOVF        R0, 0 
	MOVWF       _led_val4+0 
;kaitenkeiCounter.mbas,685 :: 		led_val5 = led7seg_decode( led_txt[6]  )
	MOVF        main_led_txt+6, 0 
	MOVWF       FARG_led7seg_decode_ascii_char+0 
	CALL        _led7seg_decode+0, 0
	MOVF        R0, 0 
	MOVWF       _led_val5+0 
;kaitenkeiCounter.mbas,686 :: 		counter_update = FALSE
	CLRF        _counter_update+0 
L__main326:
;kaitenkeiCounter.mbas,689 :: 		if sw_test(1) = SW_ON then
	MOVLW       1
	MOVWF       FARG_sw_test_sw_no+0 
	CALL        _sw_test+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main329
;kaitenkeiCounter.mbas,690 :: 		down_count_value = counter_inital
	MOVF        _counter_inital+0, 0 
	MOVWF       _down_count_value+0 
	MOVF        _counter_inital+1, 0 
	MOVWF       _down_count_value+1 
	MOVF        _counter_inital+2, 0 
	MOVWF       _down_count_value+2 
	MOVF        _counter_inital+3, 0 
	MOVWF       _down_count_value+3 
;kaitenkeiCounter.mbas,691 :: 		counter_update = TRUE
	MOVLW       255
	MOVWF       _counter_update+0 
L__main329:
;kaitenkeiCounter.mbas,693 :: 		wend
	GOTO        L__main321
L__main317:
;kaitenkeiCounter.mbas,694 :: 		end select
L_end_main:
	GOTO        $+0
; end of _main
